Home | All Classes | Grouped Classes | Index | Search

# CL_DomImplementation::has_feature

Test if the DOM implementation implements a specific feature.

    	bool has_feature(
    		const std::string& feature, const std::string& version);

Parameters:

feature
  The package name of the feature to test. In Level 1, the legal values are "HTML" and "XML" (case-insensitive).
version
  This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return true.

See also:

CL_DomImplementation

Questions or comments, write to the ClanLib mailing list.